\heading{18}{Abram entertains guests~--- a child is promised to Sarah, who had previously stopped menstruating~--- Sarah doubts the Lord's promise~--- the Lord reaffirms His promise~--- the Lord says He is going to destroy Sodom~--- Abraham argues that if there are any righteous people that the Lord not destroy it~--- they argue down to ten righteous people}

\begin{inparaenum}
  \verse{18:1} The \lord\ appeared to him by the oaks\cf{\vref{Gen}{13}{18}} of Mamre as\lit{and} he sat in the opening of his tent in the heat of day.%%
  \verse{18:2} He looked up and saw three men standing near him. When he saw them, he ran from the tent door to meet them and bowed down to the earth.%%
  \verse{18:3} He said, ``O Lord, please, if I've found approval in your eyes, then please don't overlook your servant.\ca{\sampen\ \Hebrew{עבדכם}\textbf{\ \dots\ }\Hebrew{תעברו}\textbf{\ \dots\ }\Hebrew{בעיניכם}}{the Samaritan Pentateuch pluralizes this (i.e., your servants)}%%
  \verse{18:4} Please, let some water be brought and wash your feet and stretch out and rest under the tree,%%
  \verse{18:5} and I will get a piece of bread and strengthen\halot{xxxx}{with food} you. After that you can pass through because you have therefore passed by to your servant.'' And they said, ``Do as you've said.''%%
  \verse{18:6} Abraham hurried towards the tent to Sarah, and said, ``Hurry! Three seahs\halot{xxxx}{measure of capacity, in one estimate~= approximately 7~L, 7.5~qt} of wheat\halot{xxxx}{\textbf{fine}(-ground) \textbf{wheat flour}, ground from inner kernels of wheat} flour, knead it\understood{}\ and make bread-cakes.''%%
  \verse{18:7} Abraham ran to the herd and took a frail\alt{tender, weak} but\ed{This could easily be ``a tender \textit{and} good calf.''} good calf\lit{son of the herd} and gave it to the young man who\lit{and he} hurried and made it.%%
  \verse{18:8} He took curdled milk\halot{xxxx}{a type of \textbf{curdled milk}, similar to yogurt} and milk and the calf that he'd made and placed them before them; and he stood in front of them under the tree and they\ed{ambiguous} ate.%%
  \verse{18:9} They said to him, ``Where is your wife, Sarah?'' He said, ``She's\understood{}\ in the tent.''%%
  \verse{18:10} He said, ``I will definitely return to you at this\understood{}\ time of life, and your wife, Sarah, will have a child.'' And Sarah was listening from behind him at the tent door.%% xxxx ylt: verse 11 starts at "and sarah was listening"
  \verse{18:11} Abraham and Sarah were old, advanced in days, and Sarah had stopped menstruating.\lit{stopped had become to Sarah the way of women.}%%
  \verse{18:12} Sarah laughed\ed{There seems to be, especially in the context of verse~14, a connotation of doubt here.} to herself,\lit{on the inside} saying, ``After I've become old shall I really have sexual pleasure? My lord\ie{Abraham} is old!%%
  \verse{18:13} The \lord\ said to Abraham, ``Why has Sarah laughed, saying, `Am I really going to give birth now that I'm old?'%% verse 14 starts here at the beginning of this verse in ylt
  \verse{18:14} Is anything\lit{any (understood) matter/thing} too difficult\alt{hard} for the \lord? At the appointed time I will return to you~--- at the time of life~--- and Sarah will have a son.''%%
  \verse{18:15} But Sarah denied, saying, ``I didn't laugh'' (because she was afraid). And He said, ``No, you did laugh.''%%
  \verse{18:16} The men rose up from there and looked down\halot{xxxx}{\textbf{nif.}: \textbf{look down} with \textit{`al} on (suggesting: from point of view of one standing above, i.e., `look down there'): \haref{1S}{13}{18}. \textbf{hif.}: \textbf{look down} (suggesting: from point of view of one standing below, i.e., `look down here') \haref{Gn}{18}{16}.} on Sodom, and Abraham went with them to send them off.%%
  \verse{18:17} And the \lord\ said, ``Should I keep what I'm doing secret from Abraham%%
  \verse{18:18} because Abraham will certainly become a great and vast\alt{mighty} nation, and all the nation of the earth will be blessed through him?%%
  \verse{18:19} Because I have covenanted\ed{\Hebrew{ידע} literally means ``to know,'' but in this context is has a covenental sense. See further in Appendix~\ref{app:covenants-in-antiquity}.} with him so that he will command his children and household after him that\lit{and, but can be just about any conjugation} they keep the way of the \lord: to do righteousness and justice so that the \lord\ can bring to pass\lit{on} that which He has spoken concerning him.''%%
  \verse{18:20} The \lord\ said, ``Sodom and Gomorrah's call for help\ca{\sampen\ \Hebrew{'צע} cf 21}{the Samaritan Pentateuch gives \Hebrew{'צע} [cry for help, call for help (mostly to God)], compare verse~21} is great and their sin is very great.%%
  \verse{18:21} I will go down and see if they've done everything according to the cry that is coming up to Me~--- and if not, I will know it.''%%
  \verse{18:22} They turned from there and went towards Sodom, but Abraham still\lit{as of yet} stood before the \lord.\ca{Tiq soph, lect orig \Hebrew{אברהם} \textbf{\dots} \Hebrew{ויהוה}}{Original reading of the Tiqqun sopherim [rabbinic literature meaning ``scribal correction'']: ``the \lord\ dots\ Abraham''}%%
  \verse{18:23} Abraham came near, and said, ``Will you also take\alt{sweep, snatch away} the righteous with the wicked?%%
  \verse{18:24} Perhaps\halot{xxxx}{expression of hope, entreaty, fear} there are fifty righteous people\understood{}\ in\alt{within, in the midst of} the city~--- will you actually\alt{indeed} sweep away\understood{}\ instead of\lit{and not} pardon the place on account of the fifty righteous people who are there.\lit{in its midst}%%
  \verse{18:25} Be it far from\halot{xxxx}{originally `to the profane'} You to do this thing~--- to kill\lit{make dead} the righteous with the wicked~--- far be it from You! Won't the Judge of the whole earth do justice?''%%
  \verse{18:26} The \lord\ said, ``If I find fifty righteous people in Sodom, in the city, then I will forgive the whole place because of them.''\lit{for their sakes.}%%
  \verse{18:27} Abraham answered,\ed{It is unclear if this conversation happens all at the same time (e.g., Abraham asks for 50, rethinks and asks for 45, etc.) or if between conversations Abraham is going into the city searching for righteous people. Both options provide excellent teaching opportunities and neither is theologically incorrect.} and said, ``Please, I've begun\halot{xxxx}{\textbf{make a beginning} (usually expression of politeness or modesty)} to talk to the Lord\
  \ca{\fragheb\super{3} mlt Mss \Hebrew{יהוה}}{manuscripts from the Cairo Genizah and multiple Hebrew manuscript codices have the Tetragrammaton [instead of \Hebrew{אֲדֹנָי}]}
  ~--- I am dust and dust.%%
  \verse{18:28} Perhaps there are five lacking of the fifty righteous people~--- would You destroy the entire city because of the five?'' And He said, ``I won't destroy it if I can find forty-five.''%%
  \verse{18:29} He continued to speak with Him, and said, ``Perhaps there are only forty found there.'' And He said, ``I won't do\ca{\sampen\septuagint\ \Hebrew{אַשְׁחִית} cf \vulgate\ (\textit{percutiam}) et 28.31.32}{The Samaritan Pentateuch and the Septuagint both have \Hebrew{אַשְׁחִית} (bring ruin on); compare the Vulgate's \textit{percutiam}, meaning ``to strike.'' This same thing appears in verses 28, 31, and 32.} it because of the forty.''%%
  \verse{18:30} He said, ``Please don't let it anger the Lord.\lit{make to the Lord angry.} I speak: perhaps there are thirty there.'' And He said, ``I won't do it if there's thirty there.''%%
  \verse{18:31} He said, ``Please, I've begun to speak to the Lord:\
  \ca{nonn Mss \Hebrew{יהוה}}{several Hebrew manuscript codices give the Tetragrammaton}
  perhaps if twenty can be found there.'' And he replied, ``I will not destroy it because of the twenty.''%%
  \verse{18:32} He said, ``Please don't let it anger the Lord. I speak just this once: perhaps there are only ten found there.'' And he replied, ``I won't destroy it because of the ten.''%%
  \verse{18:33} The \lord\ went away when He was done speaking with Abraham, and Abraham returned to his place.%%
\end{inparaenum}
